Page MenuHomePhabricator

[AArch64] Fix rottype use in complex instr defs.
ClosedPublic

Authored by fhahn on Nov 12 2020, 6:25 AM.

Details

Summary

It seems like the order here is wrong. Types like i32 do not take any
arguments.

Currently this is not a problem, because the patterns are not actually
used with any nodes, but will fail once it is used with real ISD nodes.

Diff Detail

Event Timeline

fhahn created this revision.Nov 12 2020, 6:25 AM
fhahn requested review of this revision.Nov 12 2020, 6:25 AM
dmgreen accepted this revision.Nov 13 2020, 12:46 AM

Like I said on the other review, sometimes reviews can be split up too much into things that are not even testable.

This look simple enough on it's own though. LGTM

This revision is now accepted and ready to land.Nov 13 2020, 12:46 AM
fhahn added a comment.Dec 8 2020, 1:09 PM

Like I said on the other review, sometimes reviews can be split up too much into things that are not even testable.

Agreed, this is probably why it was broken in the first place. I have patches on top of this one, which actually instantiate the pattern and work as expected. Unfortunately they will need a bit more discussing, so I think it's best to get this in independently.

This look simple enough on it's own though. LGTM

Thank you very much for taking a look!

This revision was landed with ongoing or failed builds.Dec 8 2020, 1:12 PM
This revision was automatically updated to reflect the committed changes.